fs_dir.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

directory_iterator | std::experimental::filesystem::begin (directory_iterator __iter) noexcept
recursive_directory_iterator | std::experimental::filesystem::begin (recursive_directory_iterator __iter) noexcept
directory_iterator | std::experimental::filesystem::end (directory_iterator) noexcept
recursive_directory_iterator | std::experimental::filesystem::end (recursive_directory_iterator) noexcept
bool | std::experimental::filesystem::operator!= (const directory_iterator &__lhs, const directory_iterator &__rhs)
bool | std::experimental::filesystem::operator!= (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs)
bool | std::experimental::filesystem::operator== (const directory_iterator &__lhs, const directory_iterator &__rhs)
bool | std::experimental::filesystem::operator== (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <experimental/filesystem>.

Definition in file experimental/bits/fs_dir.h.

## Function Documentation

## begin() [1/2]

directory_iterator std::experimental::filesystem::v1::begin | ( | directory_iterator | __iter | ) |

inline noexcept

Definition at line 238 of file experimental/bits/fs_dir.h.

## begin() [2/2]

recursive_directory_iterator std::experimental::filesystem::v1::begin | ( | recursive_directory_iterator | __iter | ) |

inline noexcept

Definition at line 332 of file experimental/bits/fs_dir.h.

## end() [1/2]

directory_iterator std::experimental::filesystem::v1::end | ( | directory_iterator |  | ) |

inline noexcept

Definition at line 242 of file experimental/bits/fs_dir.h.

## end() [2/2]

recursive_directory_iterator std::experimental::filesystem::v1::end | ( | recursive_directory_iterator |  | ) |

inline noexcept

Definition at line 336 of file experimental/bits/fs_dir.h.

## operator!=() [1/2]

bool std::experimental::filesystem::v1::operator!= | ( | const directory_iterator & | __lhs,
|  | const directory_iterator & | __rhs
| ) |  |

inline

Definition at line 253 of file experimental/bits/fs_dir.h.

## operator!=() [2/2]

bool std::experimental::filesystem::v1::operator!= | ( | const recursive_directory_iterator & | __lhs,
|  | const recursive_directory_iterator & | __rhs
| ) |  |

inline

Definition at line 348 of file experimental/bits/fs_dir.h.

## operator==() [1/2]

bool std::experimental::filesystem::v1::operator== | ( | const directory_iterator & | __lhs,
|  | const directory_iterator & | __rhs
| ) |  |

inline

Definition at line 246 of file experimental/bits/fs_dir.h.

## operator==() [2/2]

bool std::experimental::filesystem::v1::operator== | ( | const recursive_directory_iterator & | __lhs,
|  | const recursive_directory_iterator & | __rhs
| ) |  |

inline

Definition at line 340 of file experimental/bits/fs_dir.h.